<?xml version="1.0" encoding="utf-8"?>
<!-- ============================================================================
     Copyright (c) 2009   Marvell International, Ltd. All Rights Reserved

                          Marvell Confidential
     ============================================================================ -->
<xs:schema xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" attributeFormDefault="unqualified" elementFormDefault="qualified" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:element name="plugins">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" maxOccurs="unbounded" name="plugin">
          <xs:complexType>
            <xs:sequence>
              <xs:element minOccurs="0" name="name" type="xs:string" />
              <xs:element minOccurs="0" name="connect-strings">
                <xs:complexType>
                  <xs:sequence>
                    <xs:element minOccurs="0" maxOccurs="unbounded" name="string" type="xs:string" />
                  </xs:sequence>
                </xs:complexType>
              </xs:element>
              <xs:element minOccurs="0" name="object">
                <xs:complexType>
                  <xs:sequence>
                    <xs:element minOccurs="0" name="win">
                      <xs:complexType>
                        <xs:sequence>
                          <xs:element minOccurs="0" name="name" type="xs:string" />
                          <xs:element minOccurs="0" name="open" type="xs:string" />
                          <xs:element minOccurs="0" name="close" type="xs:string" />
                          <xs:element minOccurs="0" name="read" type="xs:string" />
                          <xs:element minOccurs="0" name="write" type="xs:string" />
                        </xs:sequence>
                      </xs:complexType>
                    </xs:element>
                    <xs:element minOccurs="0" name="mac">
                      <xs:complexType>
                        <xs:sequence>
                          <xs:element minOccurs="0" name="name" type="xs:string" />
                          <xs:element minOccurs="0" name="open" type="xs:string" />
                          <xs:element minOccurs="0" name="close" type="xs:string" />
                          <xs:element minOccurs="0" name="read" type="xs:string" />
                          <xs:element minOccurs="0" name="write" type="xs:string" />
                        </xs:sequence>
                      </xs:complexType>
                    </xs:element>
                  </xs:sequence>
                </xs:complexType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:sequence>
    </xs:complexType>
  </xs:element>
</xs:schema>